Package com.tibco.patterns.deduplication

## Class KeyedQuery

- java.lang.Object
- - com.tibco.patterns.deduplication.KeyedQuery

-     public class KeyedQuery
      extends java.lang.Object

  Bundles everything needed for performing a query within a Deduplicator together with the source of the query data.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeyedQuery​(Keyed searchObject, com.netrics.likeit.NetricsSearchCfg query, com.netrics.likeit.NetricsSearchOpts searchOptions)` | Create a KeyedQuery instance with no extra options or configuration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.netrics.likeit.NetricsSearchCfg` | `getSearchCfg()` |
    `Keyed` | `getSearchObject()` |
    `com.netrics.likeit.NetricsSearchOpts` | `getSearchOpts()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyedQuery

          public KeyedQuery​(Keyed searchObject,
                            com.netrics.likeit.NetricsSearchCfg query,
                            com.netrics.likeit.NetricsSearchOpts searchOptions)

      Create a KeyedQuery instance with no extra options or configuration.
      Parameters:
        `searchObject` - Object from a KeyedQuerySource
        `query` - NetricsQuery that will be performed.
        `searchOptions` - options to apply to the query.

  - ### Method Detail

    - #### getSearchObject

          public Keyed getSearchObject()

      Returns:
        The object used to construct the query.
        This object should only be used for logging, and should not be altered.

    - #### getSearchCfg

          public com.netrics.likeit.NetricsSearchCfg getSearchCfg()

      Returns:
        The configuration of the query.
        This object should only be used for logging, and should not be altered.

    - #### getSearchOpts

          public com.netrics.likeit.NetricsSearchOpts getSearchOpts()

      Returns:
        The options applied to the query.
        This object should only be used for logging, and should not be altered.